/*
Theme Name: RM Web Pro
Text Domain: rmwebpro
Template: rmcore
Author: Rent Manager
Author URI: https://www.rentmanager.com
Description: Custom theme created by Rent Manager
Version: 1.0
License: Proprietary, non-distributed
*/
/* Variables - Media Queries */
/* Variables - Colors */
/* Variables - Transitions */
/* Extends */
form.unit-search, form.property-search, .button-container, footer nav, footer nav ul, .column-container, .column-container .column, .accordion .accordion-toggle, .text-slider.owl-carousel .owl-nav {
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
}

/* Property Portfolio Navigation */
html {
  scroll-behavior: smooth;
}

.noble-property-collection .noble-property_name a {
  color: inherit;
  text-decoration: none;
}

.noble-property-collection .noble-property_name a:hover {
  text-decoration: underline;
}

.noble-property-collection .noble-prop-logo a {
  display: block;
}

.noble-port-property {
  scroll-margin-top: 2rem;
}

h4.noble-property_name {
  text-align: center;
}

/* Search Form */
form.unit-search, form.property-search {
  margin: 0 -0.75rem;
  justify-content: center;
  align-items: center;
}

form.unit-search div, form.property-search div {
  width: 100%;
  margin: 0.75rem;
}

form.unit-search label, form.property-search label {
  display: block;
  margin-bottom: 0.5rem;
  font-size: 16.5px;
}

@media only screen and (min-width: 35rem) {
  form.unit-search label, form.property-search label {
    font-size: 13px;
  }
}

form.unit-search select, form.property-search select {
  height: 40px;
  width: 100%;
  appearance: none;
  border-radius: 0;
  padding-left: 0.25rem;
  border: 1px solid #000000;
  color: #000000;
  font-size: 16.5px;
  background-image: url(assets/images/select.png) !important;
  background-repeat: no-repeat;
  background-position: right 0.05rem center;
  background-color: #ffffff;
}

@media only screen and (min-width: 35rem) {
  form.unit-search select, form.property-search select {
    font-size: 13px;
  }
}

form.unit-search select::-ms-expand, form.property-search select::-ms-expand {
  display: none;
}

form.unit-search .linkbtn, form.property-search .linkbtn {
  align-self: flex-end;
  margin: 0.5rem 0.75rem 0.75rem 0.75rem;
  height: 40px;
}

@media only screen and (min-width: 35rem) {
  form.unit-search div, form.property-search div {
    width: 175px;
  }
}

/* Fade in Main on Page Load */
main {
  visibility: hidden;
}

.fade-in {
  visibility: visible;
  -webkit-animation: fadeIn .5s ease-in 1 forwards;
  animation: fadeIn .5s ease-in 1 forwards;
  opacity: 0;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

/* General Styles */
* {
  box-sizing: border-box;
}

body {
  margin: 0;
  color: #000000;
  font-size: 16px;
  font-family: "krete", serif;
}

body a {
  text-decoration: none;
  color: inherit;
}

body img {
  max-width: 100%;
  height: auto;
}

body img:not(.object-ignore) {
  object-fit: cover;
}

body p {
  line-height: 1.65em;
}

body p a, body section a, body main a {
  font-weight: bold;
  padding-bottom: 0.5rem;
  border-bottom: 2px solid transparent;
  transition: all 0.5s ease-in-out;
}

body p a i, body section a i, body main a i {
  margin-left: 1rem;
}

body p:empty {
  display: none;
}

body section p:first-child, body div p:first-child {
  margin-top: 0;
}

body section p:only-child, body div p:only-child {
  margin: 0;
}

body section p:last-child, body div p:last-child {
  margin-bottom: 0;
}

body section:empty {
  display: none;
}

body section {
  padding: 2rem 0;
}

@media only screen and (min-width: 35rem) {
  body section {
    padding: 0;
  }
}

body section:after {
  content: "";
  display: table;
  clear: both;
}

body h1, body h2, body h3, body h4, body h5 {
  font-family: "trajan-pro-3", serif;
  text-transform: uppercase;
  font-weight: 600;
  letter-spacing: 0.075em;
}

body h2 {
  text-align: center;
}

body .page-title {
  text-align: center;
  font-size: 2.25em;
  color: #002366;
}

.allcaps {
  text-transform: uppercase;
}

.disclaimer {
  font-size: 14px;
}

.max-wrap {
  margin-left: auto;
  margin-right: auto;
  padding: 0 1rem;
  width: 100%;
  max-width: 1450px;
}

@media only screen and (min-width: 35rem) {
  .max-wrap {
    padding: 0 2rem;
  }
}

span.max-wrap {
  display: block;
}

.rm-pt {
  padding-top: 0;
}

.accent-wrap form.unit-search select, .accent-wrap form.property-search select {
  border-color: transparent;
}

.white-wrap {
  background-color: #ffffff;
  color: #000000;
}

.gray-wrap {
  background-color: #eeeeee;
  color: #000000;
}

.background-image-section {
  color: #ffffff;
}

.background-image-section button[class*='linkbtn'] {
  color: #ffffff;
}

.background-image-section button[class*='linkbtn']:hover {
  border-color: #ffffff;
}

.left-justified {
  text-align: left;
}

.center-justified {
  text-align: center;
}

.right-justified {
  text-align: right;
}

/* Common Elements Styles */
a[class^='linkbtn'], a[class*='linkbtn'], div[class^='linkbtn'], div[class*='linkbtn'], button[class^='linkbtn'], button[class*='linkbtn'], input[class^='linkbtn'], input[class*='linkbtn'], .caldera-grid .btn.btn-default {
  transition: all 0.5s ease-in-out;
  cursor: pointer;
  appearance: none;
  border-left: 0;
  border-right: 0;
  border-top: 0;
  padding-left: 0;
  padding-right: 0;
  padding-top: 0;
  padding-bottom: 0.5rem;
  border-bottom: 2px solid transparent;
  background-color: transparent;
  font-size: 1em;
  font-weight: bold;
  text-align: center;
}

a[class^='linkbtn']:focus, a[class*='linkbtn']:focus, div[class^='linkbtn']:focus, div[class*='linkbtn']:focus, button[class^='linkbtn']:focus, button[class*='linkbtn']:focus, input[class^='linkbtn']:focus, input[class*='linkbtn']:focus, .caldera-grid .btn.btn-default:focus {
  outline: 0;
}

a[class^='linkbtn'] i, a[class*='linkbtn'] i, div[class^='linkbtn'] i, div[class*='linkbtn'] i, button[class^='linkbtn'] i, button[class*='linkbtn'] i, input[class^='linkbtn'] i, input[class*='linkbtn'] i, .caldera-grid .btn.btn-default i {
  margin-left: 1rem;
}

.button-container * {
  margin: 1rem 0;
}

.caldera-grid input.form-control {
  font-size: 16.5px;
}

@media only screen and (min-width: 35rem) {
  .caldera-grid input.form-control {
    font-size: inherit;
  }
}

.caldera-grid label.control-label {
  font-weight: normal;
  font-size: 16.5px;
}

.lb-image {
  background-color: #ffffff;
}

.internal-hero-title {
  padding: 0;
  background-color: #ffffff;
}

.internal-hero-title .internal-hero-image {
  height: 250px;
  position: relative;
}

@media only screen and (min-width: 55rem) {
  .internal-hero-title .internal-hero-image {
    height: 450px;
  }
}

ul.nodots {
  list-style: none;
  margin: 0;
  padding: 0;
  line-height: 1.5;
}

li {
  line-height: 1.5;
}

.noble-port-property {
  display: flex;
  column-gap: 5em;
  width: 80%;
  margin: 0 auto 2em;
  align-items: flex-start;
  border-bottom: 1px solid #002366;
  padding-bottom: 2em;
}

@media (max-width: 1100px) {
  .noble-port-property {
    flex-direction: column-reverse;
  }
}

.noble-port-prop-photo {
  max-height: 500px;
  overflow: hidden;
  margin-bottom: 1em;
}

.property-link-button {
  margin: 2em 0;
  justify-content: center;
  display: flex;
}

.portfolio-left, .portfolio-right {
  flex: 1;
}

.portfolio-right h3 {
  color: #002366;
  font-size: 2rem;
  margin-bottom: 0.5em;
}

.portfolio-right h4 {
  margin-bottom: 0;
  color: #002366;
}

.portfolio-right p {
  margin-top: 5px;
}

@media (max-width: 1100px) {
  .portfolio-right {
    text-align: center;
    width: 100%;
    margin-bottom: 2em;
  }
}

.noble-port-prop-logo {
  text-align: left;
}

.noble-port-prop-logo img {
  width: 50%;
  margin-bottom: 2em;
}

@media (max-width: 1100px) {
  .noble-port-prop-logo {
    text-align: center;
  }
  .noble-port-prop-logo img {
    margin-bottom: 0;
  }
}

.custom-button-wrapper {
  margin: 2em 0;
}

a.custom-button {
  background-color: #002366;
  color: #ffffff;
  text-align: center;
  padding: 1em;
  text-transform: uppercase;
  display: block;
  width: 50%;
}

a.custom-button:hover {
  background-color: #545454;
}

.positions-grid {
  display: flex;
  gap: 2em;
  width: 70%;
  margin: 1em auto 2em;
}

@media (max-width: 1100px) {
  .positions-grid {
    flex-direction: column;
  }
}

.position-card {
  flex: 1;
}

@media (max-width: 1100px) {
  .position-card {
    text-align: center;
  }
}

.form-intro {
  width: 70%;
  margin: 1em auto;
  border-top: 1px solid #545454;
  padding-top: 2em;
}

ol.wp-block-list {
  width: 75%;
  margin: auto;
}

.super-header {
  background-color: #000000;
  min-height: 50px;
  color: #ffffff;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1em;
  padding: 0.5em 2em;
}

img.eoh-header-icon {
  height: 30px;
}

/* Header */
.site-header {
  z-index: 1000;
  background-color: #ffffff;
}

.nav-banner-bar {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 1em auto;
  width: 100%;
}

.nav-lower {
  display: flex;
  justify-content: space-between;
  width: 100%;
  max-width: 1500px;
  margin: 0 auto;
  padding: 0 2rem;
}

.top-menu-containers {
  display: flex;
  flex-direction: column;
}

.logo-area {
  flex-basis: 20%;
}

.logo-area img {
  max-height: 100px;
  width: auto;
  min-width: 200px;
}

.logo h1 {
  display: none;
}

.logo h1.no-logo-image {
  display: block;
}

nav {
  display: flex;
  align-items: center;
}

nav > ul {
  display: flex;
  align-items: center;
  margin: 0;
  padding: 0;
  list-style-type: none;
  width: 100%;
  text-transform: uppercase;
  letter-spacing: 2px;
}

nav > ul > li > a {
  padding: 1.5rem 0;
  margin: 0 2rem;
  display: block;
  /*border-bottom: 3px solid transparent;*/
  transition: all 0.5s ease-in-out;
}

nav > ul > li:last-of-type a {
  margin-right: 0;
}

nav .menu-item-has-children i {
  padding-left: 0.5rem;
}

nav .menu-item-has-children ul {
  display: none;
  position: absolute;
  z-index: 1000;
  margin-left: 0.75rem;
  min-width: 125px;
  padding: 0;
  background-color: #ffffff;
}

nav .menu-item-has-children ul li {
  display: block;
}

nav .menu-item-has-children ul li a {
  padding: 1rem 0;
  margin: 0 1rem;
  transition: all 0.5s ease-in-out;
  border: 0;
  /* border-bottom: 3px solid transparent;*/
}

nav ul li:hover ul {
  display: block;
}

ul.sub-menu li {
  /*background-color: $black;*/
  padding: 25px 0px 1em;
}

.primary-menu-area a {
  color: #000000;
}

.primary-menu-area a:hover {
  color: #545454;
}

.primary-menu-area .current-menu-item > a,
.primary-menu-area .current-menu-parent > a,
.primary-menu-area .current-menu-ancestor > a {
  color: #545454;
}

.top-buttons {
  width: 100%;
  height: 75px;
  justify-content: flex-end;
  display: flex;
  gap: 2em;
}

a.portal-button {
  color: #ffffff;
  border: 2px solid #000000;
  padding: 1.5em 2em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 1em 0px;
  background-color: #002366;
}

a.portal-button:hover {
  color: #002366;
  background-color: #ffffff;
  border: 2px solid #002366;
}

@media (max-width: 1200px) {
  .top-menu-containers {
    display: none;
  }
  .super-header {
    display: none;
  }
}

.mobile-extra {
  color: white;
  margin: 1em;
}

/* Footer */
footer {
  padding: 4rem 2rem;
  background-color: #3a3a3a;
  color: #ffffff;
  font-size: 0.85rem;
  text-align: center;
  line-height: 1.5rem;
}

footer a {
  transition: all 0.5s ease-in-out;
}

footer .social-icons {
  font-size: 1.25rem;
}

footer .social-icons i {
  margin: 0 1rem;
}

footer nav {
  justify-content: center;
  align-items: center;
  font-weight: bold;
  text-transform: uppercase;
  margin: 1rem 0;
}

footer nav ul {
  justify-content: center;
  padding: 0;
  margin: 0;
}

footer nav li {
  margin: 0.5rem 1.5rem;
  list-style-type: none;
}

footer nav .menu-item-has-children ul {
  display: none;
}

footer .copyright {
  margin-top: 1rem;
}

footer .affiliation-icons {
  margin-top: 1rem;
}

footer .affiliation-icons img {
  margin: 0 1rem;
  max-width: 45px;
}

.noble-property-collection {
  display: flex;
  margin: auto;
  justify-content: center;
}

.noble-property-collection h4 {
  margin: 20px auto 0px;
}

.noble-property-collection p {
  margin-top: 5px;
}

.noble-property-collection2 {
  display: flex;
  margin: 1em auto 4em;
  justify-content: center;
  width: 90%;
}

.noble-property-collection2 h4 {
  margin: 20px auto 0px;
}

.noble-property-collection2 p {
  margin-top: 5px;
}

.noble-property {
  flex: 1;
}

.noble-property:not(:last-child) {
  border-right: 1px solid #545454;
}

.np-contact {
  min-height: 275px;
}

.noble-prop-logo {
  height: 100px;
  text-align: center;
}

.noble-prop-logo img {
  width: 90%;
  height: 100px;
  object-fit: contain !important;
}

img.eoh-icon {
  height: 75px;
  width: auto;
}

.sub-footer {
  background-color: #000000;
  display: flex;
  padding: 1em 20%;
  gap: 2em;
  color: #ffffff;
  justify-content: center;
  align-items: center;
}

@media (max-width: 1500px) {
  .noble-property-collection {
    flex-direction: column;
  }
  .noble-property:not(:last-child) {
    border-right: none;
    border-top: 1px solid #545454;
    padding: 2em 0;
  }
  .noble-property-collection2 {
    display: none;
  }
}

@media (max-width: 900px) {
  .sub-footer {
    padding: 1em 5%;
    flex-direction: column;
    text-align: center;
  }
}

/* Blocks */
.column-container {
  justify-content: center;
}

@media only screen and (min-width: 55rem) {
  .column-container {
    margin-left: -2rem;
    margin-right: -2rem;
  }
}

.column-container .column {
  flex: 1 1 300px;
  align-items: center;
  flex-direction: column;
  justify-content: flex-start;
  padding: 1rem;
  margin: 1rem;
}

.column-container .column > *:not(a) {
  width: 100%;
}

.column-container .col-image {
  margin-bottom: 1rem;
  height: 350px;
  width: 100%;
}

.column-container p {
  margin-top: 0;
}

.accordion .accordion-toggle {
  padding: 1rem;
  cursor: pointer;
  text-transform: none;
  font-weight: normal;
  align-items: center;
}

.accordion .accordion-toggle i {
  margin-left: 1em;
  font-size: 1.5rem;
}

.accordion .accordion-content {
  display: none;
  border: 1px solid transparent;
  padding: 1rem;
}

.accordion .default {
  display: block;
  border: 1px solid transparent;
}

.gallery-section ul {
  margin: 0;
  padding: 0;
}

.gallery-section li {
  list-style-type: none;
  padding: 0;
}

.gallery-section .column {
  padding: 0;
  margin: 0.5rem;
  flex: 1 1 350px;
}

.gallery-section img {
  margin: 0;
}

.gallery-section a, .wp-block-gallery a, figure a {
  padding: 0;
  border-bottom: 0;
}

.text-slider-section .slide {
  width: 80%;
  text-align: center;
  margin: 0 auto;
}

.text-slider.owl-carousel .owl-nav {
  position: absolute;
  width: 100%;
  bottom: 35%;
}

.text-slider.owl-carousel .owl-nav .owl-prev, .text-slider.owl-carousel .owl-nav .owl-next {
  padding: 0.5rem 1rem;
  background: transparent;
  font-size: 1.25rem;
}

.text-slider.owl-carousel .owl-nav .owl-prev:hover, .text-slider.owl-carousel .owl-nav .owl-next:hover {
  background: transparent;
}

@media (min-width: 782px) {
  .gutenberg .wp-block-columns {
    flex-wrap: wrap;
  }
}

@media (min-width: 800px) {
  .gutenberg .wp-block-columns {
    flex-wrap: nowrap;
  }
}

@media (min-width: 600px) {
  .gutenberg .wp-block-column {
    flex-grow: 1;
    flex-basis: 100%;
  }
}

@media (min-width: 800px) {
  .gutenberg .wp-block-column {
    flex-grow: 0;
    flex-basis: 50%;
  }
}

.gutenberg .wp-block-column ul {
  line-height: 1.65em;
}

.gutenberg .wp-block-column ul, .gutenberg .wp-block-column ol {
  padding-left: 1rem;
}

@media (min-width: 600px) {
  .gutenberg .wp-block-column:not(:last-child), .gutenberg .wp-block-column:nth-child(odd) {
    margin-right: 0;
  }
}

@media (min-width: 800px) {
  .gutenberg .wp-block-column:not(:last-child), .gutenberg .wp-block-column:nth-child(odd) {
    margin-right: 32px;
  }
}

@media (min-width: 600px) {
  .gutenberg .wp-block-column:not(:first-child), .gutenberg .wp-block-column:nth-child(2n) {
    margin-left: 0;
  }
}

@media (min-width: 800px) {
  .gutenberg .wp-block-column:not(:first-child), .gutenberg .wp-block-column:nth-child(2n) {
    margin-left: 32px;
  }
}

.gutenberg .wp-block-quote.max-wrap {
  margin-left: auto;
  margin-right: auto;
  padding: 0 1rem;
}

@media only screen and (min-width: 55rem) {
  .gutenberg .wp-block-quote.max-wrap {
    padding: 0 2rem;
  }
}

.hero-slider {
  color: #ffffff;
  padding-top: 0;
  padding-bottom: 0;
}

.hero-slider .slide-image {
  position: relative;
  height: 550px;
}

.hero-slider p {
  /*max-width: 250px;*/
  font-size: 1em;
}

.hero-slider-section {
  position: relative;
  color: #ffffff;
  padding: 0;
}

.hero-slider-section .slide-description-container {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  width: 100%;
  z-index: 10;
  display: flex;
  align-items: center;
  pointer-events: none;
}

.hero-slider-section .slide-description {
  background-color: rgba(0, 0, 0, 0.5);
  padding: 3rem;
  width: 100%;
  text-align: center;
  pointer-events: auto;
}

@media only screen and (min-width: 55rem) {
  .hero-slider-section .slide-description {
    position: relative;
    left: 10%;
    margin: 2em;
    width: 75%;
  }
}

.hero-slider-section h3 {
  font-size: 2.25rem;
}

.hero-slider-section p {
  font-size: 1.75em;
}

.hero {
  height: 550px;
}

.hero-slider.owl-carousel.owl-drag .owl-item {
  padding: 0;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes fadeOut {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.hero-slider.owl-carousel .fadeIn {
  animation: fadeIn  1s ease-in-out;
}

.hero-slider.owl-carousel .fadeOut {
  animation: fadeOut 1s ease-in-out;
}
